It would seem that with both FF and ZA having "free' versions of their programs that there would not be any conflicts. I just tried to go to the newest Firefox upgrade 9.0.1 and I get a window that tells me that Firefox will be disabled:



I'm not sure if there is a fix for this but my choice is simple I will use IE without even giving it a second thought. ZoneAlarm is by far the simple choice of the 2. I did a search on Google and found outdated info about 8.0 Firefox and nothing on the newer version. If there is something I guess someone will point me to it. I also searched here. I run XP Intel core 2 CPU 4300 @ 1.80 and 1.79 GHZ 2.00 GB of Ram. and all programs and drivers are up to date.